import { BasicService } from '../basic'
import { post, get } from '#/api/http'

class PaperRecordService extends BasicService {
  protected findPageUrl(): string {
    return '/school/paperReleaseRecord/list'
  }

  protected removeUrl(): string {
    throw new Error('Method not implemented.')
  }

  protected saveOrUpdateUrl(): string {
    return '/school/paper/publish'
  }
  // 取消作业
  async cancel(id: any) {
    return await post<any>(`/school/paperReleaseRecord/cancel/${id}`)
  }

  // 获取班级
  async getClassList() {
    return await get<any>('/org/class/listByTeacher')
  }
}

export const paperRecordService = new PaperRecordService()
